HyperTrackDocs
Orders

Get Candidate Workers

GET
/orders/{order_handle}/candidate_workers

Get candidate workers for an order identified by the given order_handle

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

order_handle*string

Query Parameters

type?|

Type of the order which can be drop or pick

type_index?|

Integer representing the pick or drop order index when having a pick/drop scenario

fulfillment_attempt?|

The attempt number for fulfilling the order

profile_filter?|

Profile filter to be applied on the list of workers before returning the candidates

limit?|

Number of candidate workers to return

skip_already_assigned_worker?|

If true, only return workers which are different than already assigned to the order.

allow_ongoing_order?|

If true, skip the guard that rejects requests for orders in ongoing state.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orders/string/candidate_workers"
{  "candidate_workers": [    {      "worker_handle": "string",      "profile": "string",      "order_start_location": {        "type": "string",        "coordinates": [          null        ]      },      "route": {        "route_handle": "string",        "index": 0      }    }  ]}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}